Package tigase.eventbus.impl

## Class ObjectEventsSourceListenerHandler

- java.lang.Object
- - tigase.eventbus.impl.AbstractHandler
  - - tigase.eventbus.impl.AbstractListenerHandler<EventSourceListener>
    - - tigase.eventbus.impl.ObjectEventsSourceListenerHandler

-     public class ObjectEventsSourceListenerHandler
      extends AbstractListenerHandler<EventSourceListener>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.eventbus.impl.AbstractHandler

      `AbstractHandler.Type`

  - ### Field Summary

    - ### Fields inherited from class tigase.eventbus.impl.AbstractListenerHandler

      `listener`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectEventsSourceListenerHandler​(java.lang.String packageName, java.lang.String eventName, EventSourceListener listener)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispatch​(java.lang.Object event, java.lang.Object source, boolean remotelyGeneratedEvent)` |
    `AbstractHandler.Type` | `getRequiredEventType()` |

    - ### Methods inherited from class tigase.eventbus.impl.AbstractListenerHandler

      `equals, getListener, hashCode`

    - ### Methods inherited from class tigase.eventbus.impl.AbstractHandler

      `getEventName, getPackageName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectEventsSourceListenerHandler

          public ObjectEventsSourceListenerHandler​(java.lang.String packageName,
                                                   java.lang.String eventName,
                                                   EventSourceListener listener)

  - ### Method Detail

    - #### dispatch

          public void dispatch​(java.lang.Object event,
                               java.lang.Object source,
                               boolean remotelyGeneratedEvent)

      Specified by:
        `dispatch` in class `AbstractHandler`

    - #### getRequiredEventType

          public AbstractHandler.Type getRequiredEventType()

      Specified by:
        `getRequiredEventType` in class `AbstractHandler`